<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <Chronometer
        android:id="@+id/ctime"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:text="Chronometer" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_table"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:background="#096791"
                android:drawableLeft="@drawable/qmui_icon_topbar_back"
                android:gravity="center_vertical"
                android:paddingLeft="@dimen/dp_5"
                android:paddingRight="@dimen/dp_10"
                android:text="外賣"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/font_large"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_action_name"
                android:layout_width="@dimen/dp_60"
                android:layout_height="match_parent"
                android:background="#C50000"
                android:gravity="center"
                android:text="結賬"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/sp_18"
                android:visibility="gone" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="#0E655F"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_5">

            <TextView
                android:id="@+id/tv_server_main"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Andy Lam"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/font_normal3"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_server_main"
                android:text="時間:14:30"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/font_normal2" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_people_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:background="@color/trans"
                android:drawableRight="@drawable/ic_white_edit"
                android:drawablePadding="@dimen/dp_4"
                android:paddingLeft="@dimen/dp_5"
                android:paddingRight="@dimen/dp_5"
                android:text="@string/meal_numberman_colon"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/font_normal2"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_order_no"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_server_main"
                android:layout_alignParentRight="true"
                android:paddingLeft="@dimen/dp_5"
                android:paddingRight="@dimen/dp_5"
                android:text="@string/meal_order_number"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/font_normal2"
                android:textStyle="bold" />
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/dp_50"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_top_function"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:spanCount="3" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_food"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/theme_white_color"
            android:divider="@null"
            android:fadeScrollbars="false"
            android:orientation="vertical"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

        <TextView
            android:id="@+id/tv_whole"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/theme_white_color"
            android:gravity="right|center_vertical"
            android:padding="@dimen/dp_10"
            android:text="合計 $1328.0"
            android:textColor="@color/theme_text_color"
            android:textSize="@dimen/sp_20"
            android:textStyle="bold" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_order_detail"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:divider="@null"
            android:fadeScrollbars="false"
            android:orientation="vertical"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:background="#006666"
            android:gravity="center"
            android:orientation="horizontal"
            android:padding="@dimen/dp_5">

            <RelativeLayout
                android:id="@+id/fl_order_content"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <TextView
                    android:id="@+id/tv_total_text"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_gravity="left"
                    android:gravity="right|center_vertical"
                    android:paddingRight="@dimen/dp_10"
                    android:text="Total:"
                    android:textColor="@color/theme_white_color"
                    android:textSize="@dimen/font_large"
                    android:textStyle="bold" />

                <Button
                    android:id="@+id/btn_order_count"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_margin="@dimen/dp_2"
                    android:layout_toRightOf="@+id/tv_total_text"
                    android:background="@drawable/ui_shape_red_oval"
                    android:gravity="center"
                    android:singleLine="true"
                    android:text=""
                    android:textColor="@color/theme_white_color"
                    android:visibility="invisible" />
            </RelativeLayout>

            <TextView
                android:id="@+id/tv_total"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="right"
                android:layout_weight="1"
                android:gravity="right|center_vertical"
                android:paddingRight="@dimen/dp_8"
                android:text="$1328.0"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/font_large"
                android:textStyle="bold" />
        </LinearLayout>
    </LinearLayout>

    <ViewStub
        android:id="@+id/vs_transfer_food"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/dp_50"
        android:layout="@layout/table_stub_transfer_food" />
</merge>